Waiting for engine...
Skip to main content

Boomi Platform API Reference (1.0.0) - InstallerToken

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

InstallerToken

The Installer Token object represents a unique token generated by that you can use to install a Runtime, Runtime cluster node, Runtime cloud cluster, Authentication Broker, or API Gateway. Using a token eliminates the need to specify credentials. When you create a token, it is valid only for the generating account.

Required Privileges

You need these privileges in the target environment:

Write access

  • API — Use the Boomi Platform API to access account data.
  • ATOM_MANAGEMENT — Configure and administer integration runtimes.

Read access

  • N/A

Creates an InstallerToken object

Creates an installer token of a specific type that is valid for a specific number of minutes.

Authorizations:
basicAuth
Request Body schema:
optional
accountId
string
cloudId
string

(For Runtime cloud installation) A unique ID assigned by the system to the Runtime cloud.

created
string <date-time>
durationMinutes
integer <int32>

The number of minutes for which the installer token is valid, from 30 to 1440.

expiration
string <date-time>
installType
string
Enum: "CLOUD" "ATOM" "MOLECULE" "BROKER" "GATEWAY"
  • ATOM
    - MOLECULE
    - CLOUD
    - BROKER
token
string

Responses

Response Schema:
accountId
string
cloudId
string

(For Runtime cloud installation) A unique ID assigned by the system to the Runtime cloud.

created
string <date-time>
durationMinutes
integer <int32>

The number of minutes for which the installer token is valid, from 30 to 1440.

expiration
string <date-time>
installType
string
Enum: "CLOUD" "ATOM" "MOLECULE" "BROKER" "GATEWAY"
  • ATOM
    - MOLECULE
    - CLOUD
    - BROKER
token
string

Request samples

Content type
{
  • "installType": "MOLECULE",
  • "durationMinutes": 30
}

Response samples

Content type
{
  • "@type": "InstallerToken",
  • "installType": "MOLECULE",
  • "token": "molecule-963f3eb3-0eaa-4f5c-8b8b-8bff84343cb5",
  • "expiration": "2017-02-07T23:02:51.207Z",
  • "created": "2017-02-07T22:32:51.207Z",
  • "accountId": "fakeAccountId",
  • "durationMinutes": 30,
  • "cloudId": "3ca45d71-7794-40e2-b94b-182aef8ce5c2"
}